DICO(1)

NAME
dico - a DICT client

SYNOPSIS
dico [-mDSHIqatvh] [-p SERVICE] [-d NAME] [-s NAME] [-i DBNAME] [-u NAME] [-k STRING] [-c STRING] [--host=SERVER] [--port=SERVICE] [--database=NAME] [--source=ADDR] [--match] [--strategy=NAME] [--levdist, --levenshtein-distance=N]fR [--dbs] [--strategies] [--serverhelp] [--info=DBNAME] [--serverinfo] [--quiet] [--noauth] [--sasl] [--nosasl] [--user=NAME] [--key, --passwordfR=STRING]fR [--autologin=NAME] [--client=STRING] [--transcript] [--verbose] [--time-stamp] [--source-info] [--help] [--usage] [--version]

DESCRIPTION
dico is an RFC 2229 compliant dictionary client.

OPTIONS

  Server selection

--host=SERVER
    Connect to this server.

-p, --port=SERVICE
    Specify port to connect to.

-d, --database=NAME
    Select a database to search.

--source=ADDR
    Set a source address for TCP connections.

  Operation modes

-m, --match
    Match instead of define.

-s, --strategy=NAME
    Select a strategy for matching. Implies --match.

--levdist, --levenshtein-distance=N
    Set maximum Levenshtein distance to N.

-D, --dbs
    Show available databases.

-S, --strategies
    Show available search strategies.

-H, --serverhelp
    show server help.

-i, --info=DBNAME
    Show information about database DBNAME.

-I, --serverinfo
    Show information about the server.

-q, --quiet
    Do not print the normal dico welcome.

  Authentication

-a, --noauth
    Disable authentication.

--sasl
    Enable SASL authentication (default).

--nosasl
    Disable SASL authentication.

-u, --user=NAME
    Set user name for authentication.

-k, --key, --password=STRING
    Set shared secret for authentication.

--autologin=NAME
    Set the name of autologin file to use.

-c, --client=STRING
    Additional text for client command.

  Debugging

-t, --transcript
    Enable session transcript.

-v, --verbose
    Increase debugging verbosity level.

--time-stamp
    Include time stamp in the debugging output.

--source-info
    Include source line information in the debugging output.

  Other options

-h, --help
    Give this help list

--usage
    Give a short usage message

--version
    Print program version

Mandatory or optional arguments to long options are also mandatory or optional for any corresponding short options.

REPORTING BUGS
Report bugs to <bug-dico@gnu.org>.

COPYRIGHT
Copyright © 2005, 2006, 2007, 2008 Sergey Poznyakoff License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
dicod(8),
The full documentation for dico is maintained as a Texinfo manual. If the info and dico-doc programs are properly installed at your site, the command

    info dico

should give you access to the complete manual.

AUTHOR
dico was written by Sergey Poznyakoff <gray@gnu.org.ua>.

This manual page was written by أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>, for the Debian project (and may be used by others).